Group Admins

  • Profile picture of warusfel
  • Profile picture of T.

Spat

Public Group active 1 week, 2 days ago

User group for Spat, panoramix, ToscA , and ADMix

Max crash in opening Spat 4.9.0

Author 3 Subscribed Users |
Profile photo of fdsdb
fdsdb

Hi All,

I have installed the new version of Spat, but in opening Extras -> Ircam Spat Overview or any patch about Spat tutorials Max crashes. I have Max 6.1.9 and OsX 10.8.5, 8 Gb of Ram. I have tried to logout and login, to restart, to disabilitate security and privacy restrictions from system preferences, but the result is the same. Previous version of Spat works for me.
Any help is welcome, thanks in advance.

fdsdb

May 13, 2016 at 16:28 #18015
Profile photo of fdsdb
fdsdb

Hi,

Sorry for this new post. I had forgotten to specify that the error report give

Exception Type: EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: KERN_INVALID_ADDRESS at 0x0000000000000000

I don’t know if that can be useful.

Best

fdsdb

May 14, 2016 at 17:04 #18033
Profile photo of puchifilou
puchifilou

Hello fdsdb,

I’ve installed Spat 4.9.0 on my Max 6.1.10 and it’s seems to be working on my computer (Yosemite 10.10.5). Well, I haven’t tested any further since I’m mostly using spat with Max 7 version, but everything looked ok.

I don’t know if you have already done it, but you should first try to completely remove ircam-spat folder from “/Applications/Max6.1/packages/” and then copy it again. That should re-install the library. If you still have an error you may have to re-install Max Msp, but before doing it, wait for the answer of T. or someone from the Ircam, you may not need to be that radical ^^”

May 14, 2016 at 18:55 #18034
Profile photo of fdsdb
fdsdb

Dear Puchifilou,

Thank you for your reply. I have tried to do what you say (apart reinstalling Max), but the result is the same.
I have also updated Orchids, but I don’t think this could be a problem for Spat.
Thank you again for your reply, ciao

fdsdb

May 15, 2016 at 14:19 #18043
Profile photo of T.
T.

Hi,

This new version of Spat is supposedly for 10.7 or higher; however I might have made a mistake making it incompatible with your OS.
I dont have access to a 10.8 computer at the moment, so I cannot test it.

1) Anybody else tried this spat version on 10.7 or 10.8 or 10.9 ? How did it go ?
2) @fdsdb : re-installing Max wont solve the issue. Also the problem is (most likely) not related to Orchids.
Could you please send me the Max crash log(s) ? You can find them in “~/Library/Logs/DiagnosticReports”. (i think you can send a private message to me)

T.

May 15, 2016 at 14:46 #18044
Profile photo of fdsdb
fdsdb

@T.

I have sent you a private message with log. I hope it has arrived (not always I am very practical with the web users group interface, sorry).

Thank you in advance

fdsdb

May 16, 2016 at 09:44 #18045

You must be logged in to reply to this topic.

Log in now